diff -Naurd cluster-3.0.0.rc2/gfs2/fsck/initialize.c cluster-3.0.0.rc3/gfs2/fsck/initialize.c
--- cluster-3.0.0.rc2/gfs2/fsck/initialize.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/fsck/initialize.c	2009-06-11 11:02:55.000000000 +0200
@@ -7,6 +7,8 @@
 #include <fcntl.h>
 #include <string.h>
 #include <unistd.h>
+#include <libintl.h>
+#define _(String) gettext(String)
 
 #include "libgfs2.h"
 #include "fsck.h"
@@ -24,7 +26,7 @@
  *
  * Go through journals and replay them - then clear them
  */
-int init_journals(struct gfs2_sbd *sbp)
+static int init_journals(struct gfs2_sbd *sbp)
 {
 	if(!opts.no) {
 		if(replay_journals(sbp))
@@ -79,12 +81,12 @@
 {
 	uint32_t i;
 
-	log_info("Freeing buffers.\n");
+	log_info( _("Freeing buffers.\n"));
 	while(!osi_list_empty(&sdp->rglist)){
 		struct rgrp_list *rgd;
 
 		rgd = osi_list_entry(sdp->rglist.next, struct rgrp_list, list);
-		log_debug("Deleting rgd for 0x%llx:  rgd=0x%p bits=0x%p\n",
+		log_debug( _("Deleting rgd for 0x%llx:  rgd=0x%p bits=0x%p\n"),
 			  (unsigned long long)rgd->ri.ri_addr, rgd, rgd->bits);
 		osi_list_del(&rgd->list);
 		if(rgd->bits)
@@ -131,7 +133,7 @@
 	uint64_t rmin = 0;
 	int error;
 
-	log_info("Setting block ranges...\n");
+	log_info( _("Setting block ranges...\n"));
 
 	for (tmp = sdp->rglist.next; tmp != &sdp->rglist; tmp = tmp->next)
 	{
@@ -145,8 +147,8 @@
 
 	last_fs_block = rmax;
 	if (last_fs_block > 0xffffffff && sizeof(unsigned long) <= 4) {
-		log_crit("This file system is too big for this computer to handle.\n");
-		log_crit("Last fs block = 0x%llx, but sizeof(unsigned long) is %lu bytes.\n",
+		log_crit( _("This file system is too big for this computer to handle.\n"));
+		log_crit( _("Last fs block = 0x%llx, but sizeof(unsigned long) is %lu bytes.\n"),
 			 (unsigned long long)last_fs_block,
 			 sizeof(unsigned long));
 		goto fail;
@@ -156,16 +158,16 @@
 	first_data_block = rmin;
 
 	if(fsck_lseek(sdp->device_fd, (last_fs_block * sdp->sd_sb.sb_bsize))){
-		log_crit("Can't seek to last block in file system: %"
-				 PRIu64" (0x%" PRIx64 ")\n", last_fs_block, last_fs_block);
+		log_crit( _("Can't seek to last block in file system: %"
+				 PRIu64" (0x%" PRIx64 ")\n"), last_fs_block, last_fs_block);
 		goto fail;
 	}
 
 	memset(buf, 0, sdp->sd_sb.sb_bsize);
 	error = read(sdp->device_fd, buf, sdp->sd_sb.sb_bsize);
 	if (error != sdp->sd_sb.sb_bsize){
-		log_crit("Can't read last block in file system (error %u), "
-				 "last_fs_block: %"PRIu64" (0x%" PRIx64 ")\n", error,
+		log_crit( _("Can't read last block in file system (error %u), "
+				 "last_fs_block: %"PRIu64" (0x%" PRIx64 ")\n"), error,
 				 last_fs_block, last_fs_block);
 		goto fail;
 	}
@@ -194,7 +196,7 @@
 	 ******************  Initialize important inodes  ******************
 	 *******************************************************************/
 
-	log_info("Initializing special inodes...\n");
+	log_info( _("Initializing special inodes...\n"));
 
 	/* Get master dinode */
 	sdp->master_dir = gfs2_load_inode(sdp,
@@ -234,42 +236,42 @@
 
 	/* read in the ji data */
 	if (ji_update(sdp)){
-		log_err("Unable to read in ji inode.\n");
+		log_err( _("Unable to read in ji inode.\n"));
 		return -1;
 	}
 
-	log_warn("Validating Resource Group index.\n");
+	log_warn( _("Validating Resource Group index.\n"));
 	for (trust_lvl = blind_faith; trust_lvl <= distrust; trust_lvl++) {
-		log_warn("Level %d RG check.\n", trust_lvl + 1);
+		log_warn( _("Level %d RG check.\n"), trust_lvl + 1);
 		if ((rg_repair(sdp, trust_lvl, &rgcount) == 0) &&
 		    (ri_update(sdp, 0, &rgcount) == 0)) {
-			log_err("(level %d passed)\n", trust_lvl + 1);
+			log_err( _("(level %d passed)\n"), trust_lvl + 1);
 			break;
 		}
 		else
-			log_err("(level %d failed)\n", trust_lvl + 1);
+			log_err( _("(level %d failed)\n"), trust_lvl + 1);
 	}
 	if (trust_lvl > distrust) {
-		log_err("RG recovery impossible; I can't fix this file system.\n");
+		log_err( _("RG recovery impossible; I can't fix this file system.\n"));
 		return -1;
 	}
-	log_info("%u resource groups found.\n", rgcount);
+	log_info( _("%u resource groups found.\n"), rgcount);
 
 	/*******************************************************************
 	 *******  Now, set boundary fields in the super block  *************
 	 *******************************************************************/
 	if(set_block_ranges(sdp)){
-		log_err("Unable to determine the boundaries of the"
-			" file system.\n");
+		log_err( _("Unable to determine the boundaries of the"
+			" file system.\n"));
 		goto fail;
 	}
 
 	bl = gfs2_block_list_create(sdp, last_fs_block+1, &addl_mem_needed);
 	if (!bl) {
-		log_crit("This system doesn't have enough memory + swap space to fsck this file system.\n");
-		log_crit("Additional memory needed is approximately: %lluMB\n",
+		log_crit( _("This system doesn't have enough memory + swap space to fsck this file system.\n"));
+		log_crit( _("Additional memory needed is approximately: %lluMB\n"),
 			 (unsigned long long)(addl_mem_needed / 1048576ULL));
-		log_crit("Please increase your swap space by that amount and run gfs2_fsck again.\n");
+		log_crit( _("Please increase your swap space by that amount and run gfs2_fsck again.\n"));
 		goto fail;
 	}
 	return 0;
@@ -294,7 +296,7 @@
 	/********************************************************************
 	 ***************** First, initialize all lists **********************
 	 ********************************************************************/
-	log_info("Initializing lists...\n");
+	log_info( _("Initializing lists...\n"));
 	osi_list_init(&sdp->rglist);
 	init_buf_list(sdp, &sdp->buf_list, 128 << 20);
 	init_buf_list(sdp, &sdp->nvbuf_list, 0xffffffff);
@@ -310,8 +312,8 @@
 	sdp->bsize = sdp->sd_sb.sb_bsize;
 
 	if(sizeof(struct gfs2_sb) > sdp->sd_sb.sb_bsize){
-		log_crit("GFS superblock is larger than the blocksize!\n");
-		log_debug("sizeof(struct gfs2_sb) > sdp->sd_sb.sb_bsize\n");
+		log_crit( _("GFS superblock is larger than the blocksize!\n"));
+		log_debug( _("sizeof(struct gfs2_sb) > sdp->sd_sb.sb_bsize\n"));
 		return -1;
 	}
 
@@ -334,13 +336,13 @@
 {
 	if(opts.no) {
 		if ((sbp->device_fd = open(opts.device, O_RDONLY)) < 0) {
-			log_crit("Unable to open device: %s\n", opts.device);
+			log_crit( _("Unable to open device: %s\n"), opts.device);
 			return FSCK_USAGE;
 		}
 	} else {
 		/* read in sb from disk */
 		if ((sbp->device_fd = open(opts.device, O_RDWR)) < 0){
-			log_crit("Unable to open device: %s\n", opts.device);
+			log_crit( _("Unable to open device: %s\n"), opts.device);
 			return FSCK_USAGE;
 		}
 	}
@@ -352,7 +354,7 @@
 	/* Change lock protocol to be fsck_* instead of lock_* */
 	if(!opts.no) {
 		if(block_mounters(sbp, 1)) {
-			log_err("Unable to block other mounters\n");
+			log_err( _("Unable to block other mounters\n"));
 			return FSCK_USAGE;
 		}
 	}
@@ -376,10 +378,10 @@
 {
 	if(!opts.no) {
 		if(block_mounters(sbp, 0)) {
-			log_warn("Unable to unblock other mounters - manual intervention required\n");
-			log_warn("Use 'gfs2_tool sb <device> proto' to fix\n");
+			log_warn( _("Unable to unblock other mounters - manual intervention required\n"));
+			log_warn( _("Use 'gfs2_tool sb <device> proto' to fix\n"));
 		}
-		log_info("Syncing the device.\n");
+		log_info( _("Syncing the device.\n"));
 		fsync(sbp->device_fd);
 	}
 	empty_super_block(sbp);
diff -Naurd cluster-3.0.0.rc2/gfs2/fsck/link.c cluster-3.0.0.rc3/gfs2/fsck/link.c
--- cluster-3.0.0.rc2/gfs2/fsck/link.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/fsck/link.c	2009-06-11 11:02:55.000000000 +0200
@@ -3,6 +3,8 @@
 #include <stdint.h>
 #include <string.h>
 #include <unistd.h>
+#include <libintl.h>
+#define _(String) gettext(String)
 
 #include "libgfs2.h"
 #include "fsck.h"
@@ -12,15 +14,15 @@
 int set_link_count(struct gfs2_sbd *sbp, uint64_t inode_no, uint32_t count)
 {
 	struct inode_info *ii = NULL;
-	log_debug("Setting link count to %u for %" PRIu64 " (0x%" PRIx64 ")\n",
+	log_debug( _("Setting link count to %u for %" PRIu64 " (0x%" PRIx64 ")\n"),
 			  count, inode_no, inode_no);
 	/* If the list has entries, look for one that matches
 	 * inode_no */
 	ii = inode_hash_search(inode_hash, inode_no);
 	if(ii) {
 		if(ii->link_count) {
-			log_err("Link count already set for inode #%" PRIu64 " (0x%"
-					PRIx64 ")!\n", inode_no, inode_no);
+			log_err( _("Link count already set for inode #%" PRIu64 " (0x%"
+					PRIx64 ")!\n"), inode_no, inode_no);
 			stack;
 			return -1;
 		}
@@ -31,7 +33,7 @@
 		/* If not match was found, add a new entry and set it's
 		 * link count to count*/
 		if(!(ii = (struct inode_info *) malloc(sizeof(*ii)))) {
-			log_err("Unable to allocate inode_info structure\n");
+			log_err( _("Unable to allocate inode_info structure\n"));
 			stack;
 			return -1;
 		}
@@ -52,21 +54,21 @@
 	 * inode_no */
 	if(ii) {
 		ii->counted_links++;
-		log_debug("Incremented counted links to %u for %"PRIu64" (0x%"
-				  PRIx64 ")\n", ii->counted_links, inode_no, inode_no);
+		log_debug( _("Incremented counted links to %u for %"PRIu64" (0x%"
+				  PRIx64 ")\n"), ii->counted_links, inode_no, inode_no);
 		return 0;
 	}
-	log_debug("No match found when incrementing link for %" PRIu64
-			  " (0x%" PRIx64 ")!\n", inode_no, inode_no);
+	log_debug( _("No match found when incrementing link for %" PRIu64
+			  " (0x%" PRIx64 ")!\n"), inode_no, inode_no);
 	/* If no match was found, add a new entry and set its
 	 * counted links to 1 */
 	if(!(ii = (struct inode_info *) malloc(sizeof(*ii)))) {
-		log_err("Unable to allocate inode_info structure\n");
+		log_err( _("Unable to allocate inode_info structure\n"));
 		stack;
 		return -1;
 	}
 	if(!memset(ii, 0, sizeof(*ii))) {
-		log_err("Unable to zero inode_info structure\n");
+		log_err( _("Unable to zero inode_info structure\n"));
 		stack;
 		return -1;
 	}
@@ -84,13 +86,13 @@
 	ii = inode_hash_search(inode_hash, inode_no);
 	/* If the list has entries, look for one that matches
 	 * inode_no */
-	log_err("Decrementing %"PRIu64" (0x%" PRIx64 ")\n", inode_no, inode_no);
+	log_err( _("Decrementing %"PRIu64" (0x%" PRIx64 ")\n"), inode_no, inode_no);
 	if(ii) {
 		ii->counted_links--;
 		return 0;
 	}
-	log_debug("No match found when decrementing link for %" PRIu64
-			  " (0x%" PRIx64 ")!\n", inode_no, inode_no);
+	log_debug( _("No match found when decrementing link for %" PRIu64
+			  " (0x%" PRIx64 ")!\n"), inode_no, inode_no);
 	return -1;
 
 }
diff -Naurd cluster-3.0.0.rc2/gfs2/fsck/lost_n_found.c cluster-3.0.0.rc3/gfs2/fsck/lost_n_found.c
--- cluster-3.0.0.rc2/gfs2/fsck/lost_n_found.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/fsck/lost_n_found.c	2009-06-11 11:02:55.000000000 +0200
@@ -5,6 +5,8 @@
 #include <sys/stat.h>
 #include <unistd.h>
 #include <dirent.h>
+#include <libintl.h>
+#define _(String) gettext(String)
 
 #include "fsck.h"
 #include "libgfs2.h"
@@ -29,7 +31,7 @@
 	if(!lf_dip) {
 		struct gfs2_block_query q = {0};
 
-		log_info("Locating/Creating lost and found directory\n");
+		log_info( _("Locating/Creating lost and found directory\n"));
 
         lf_dip = createi(ip->i_sbd->md.rooti, "lost+found", S_IFDIR | 0700, 0);
 	if(gfs2_block_check(ip->i_sbd, bl, lf_dip->i_di.di_num.no_addr, &q)) {
@@ -54,30 +56,30 @@
 		}
 	}
 	if(ip->i_di.di_num.no_addr == lf_dip->i_di.di_num.no_addr) {
-		log_err("Trying to add lost+found to itself...skipping");
+		log_err( _("Trying to add lost+found to itself...skipping"));
 		return 0;
 	}
 	switch(ip->i_di.di_mode & S_IFMT){
 	case S_IFDIR:
-		log_info("Adding .. entry pointing to lost+found for %llu\n",
+		log_info( _("Adding .. entry pointing to lost+found for %llu\n"),
 				 (unsigned long long)ip->i_di.di_num.no_addr);
 		sprintf(tmp_name, "..");
 		filename_len = strlen(tmp_name);  /* no trailing NULL */
 		if(!(filename = malloc((sizeof(char) * filename_len) + 1))) {
-			log_err("Unable to allocate name\n");
+			log_err( _("Unable to allocate name\n"));
 			stack;
 			return -1;
 		}
 		if(!memset(filename, 0, (sizeof(char) * filename_len) + 1)) {
-			log_err("Unable to zero name\n");
+			log_err( _("Unable to zero name\n"));
 			stack;
 			return -1;
 		}
 		memcpy(filename, tmp_name, filename_len);
 
 		if(gfs2_dirent_del(ip, NULL, filename, filename_len))
-			log_warn("add_inode_to_lf:  "
-					 "Unable to remove \"..\" directory entry.\n");
+			log_warn( _("add_inode_to_lf:  "
+					 "Unable to remove \"..\" directory entry.\n"));
 
 		dir_add(ip, filename, filename_len, &(lf_dip->i_di.di_num), DT_DIR);
 		free(filename);
@@ -123,12 +125,12 @@
 	}
 	filename_len = strlen(tmp_name);  /* no trailing NULL */
 	if(!(filename = malloc(sizeof(char) * filename_len))) {
-		log_err("Unable to allocate name\n");
+		log_err( _("Unable to allocate name\n"));
 			stack;
 			return -1;
 		}
 	if(!memset(filename, 0, sizeof(char) * filename_len)) {
-		log_err("Unable to zero name\n");
+		log_err( _("Unable to zero name\n"));
 		stack;
 		return -1;
 	}
@@ -140,7 +142,7 @@
 		increment_link(ip->i_sbd, lf_dip->i_di.di_num.no_addr);
 
 	free(filename);
-	log_notice("Added inode #%llu to lost+found dir\n",
+	log_notice( _("Added inode #%llu to lost+found dir\n"),
 		   (unsigned long long)ip->i_di.di_num.no_addr);
 	return 0;
 }
diff -Naurd cluster-3.0.0.rc2/gfs2/fsck/main.c cluster-3.0.0.rc3/gfs2/fsck/main.c
--- cluster-3.0.0.rc2/gfs2/fsck/main.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/fsck/main.c	2009-06-11 11:02:55.000000000 +0200
@@ -7,6 +7,9 @@
 #include <stdarg.h>
 #include <ctype.h>
 #include <signal.h>
+#include <libintl.h>
+#include <locale.h>
+#define _(String) gettext(String)
 
 #include "copyright.cf"
 #include "libgfs2.h"
@@ -24,7 +27,6 @@
 const char *pass = "";
 uint64_t last_data_block;
 uint64_t first_data_block;
-char *prog_name = "gfs2_fsck"; /* needed by libgfs2 */
 
 /* This function is for libgfs2's sake.                                      */
 void print_it(const char *label, const char *fmt, const char *fmt2, ...)
@@ -37,19 +39,19 @@
 	va_end(args);
 }
 
-void usage(char *name)
+static void usage(char *name)
 {
-	printf("Usage: %s [-hnqvVy] <device> \n", basename(name));
+	printf( _("Usage: %s [-hnqvVy] <device> \n"), basename(name));
 }
 
-void version(void)
+static void version(void)
 {
-	printf("GFS2 fsck %s (built %s %s)\n",
+	printf( _("GFS2 fsck %s (built %s %s)\n"),
 	       RELEASE_VERSION, __DATE__, __TIME__);
-	printf("%s\n", REDHAT_COPYRIGHT);
+	printf( _(REDHAT_COPYRIGHT "\n"));
 }
 
-int read_cmdline(int argc, char **argv, struct gfs2_options *opts)
+static int read_cmdline(int argc, char **argv, struct gfs2_options *gopts)
 {
 	int c;
 
@@ -61,7 +63,7 @@
 			exit(FSCK_OK);
 			break;
 		case 'n':
-			opts->no = 1;
+			gopts->no = 1;
 			break;
 		case 'q':
 			decrease_verbosity();
@@ -74,47 +76,47 @@
 			exit(FSCK_OK);
 			break;
 		case 'y':
-			opts->yes = 1;
+			gopts->yes = 1;
 			break;
 		case ':':
 		case '?':
-			fprintf(stderr, "Please use '-h' for usage.\n");
+			fprintf(stderr, _("Please use '-h' for usage.\n"));
 			return FSCK_USAGE;
 		default:
-			fprintf(stderr, "Bad programmer! You forgot to catch"
-				" the %c flag\n", c);
+			fprintf(stderr, _("Bad programmer! You forgot to catch"
+				" the %c flag\n"), c);
 			return FSCK_USAGE;
 
 		}
 	}
 	if(argc > optind) {
-		opts->device = (argv[optind]);
-		if(!opts->device) {
-			fprintf(stderr, "Please use '-h' for usage.\n");
+		gopts->device = (argv[optind]);
+		if(!gopts->device) {
+			fprintf(stderr, _("Please use '-h' for usage.\n"));
 			return FSCK_USAGE;
 		}
 	} else {
-		fprintf(stderr, "No device specified.  Use '-h' for usage.\n");
+		fprintf(stderr, _("No device specified.  Use '-h' for usage.\n"));
 		return FSCK_USAGE;
 	}
 	return 0;
 }
 
-void interrupt(int sig)
+static void interrupt(int sig)
 {
 	char response;
 	char progress[PATH_MAX];
 
 	if (!last_reported_block || last_reported_block == last_fs_block)
-		sprintf(progress, "progress unknown.\n");
+		sprintf(progress, _("progress unknown.\n"));
 	else
-		sprintf(progress, "processing block %" PRIu64 " out of %"
-			PRIu64 "\n", last_reported_block, last_fs_block);
+		sprintf(progress, _("processing block %" PRIu64 " out of %"
+			PRIu64 "\n"), last_reported_block, last_fs_block);
 	
 	response = generic_interrupt("gfs2_fsck", pass, progress,
-				     "Do you want to abort gfs2_fsck, skip " \
+				     _("Do you want to abort gfs2_fsck, skip " \
 				     "the rest of this pass or continue " \
-				     "(a/s/c)?", "asc");
+				     "(a/s/c)?"), "asc");
 	if(tolower(response) == 's') {
 		skip_this_pass = TRUE;
 		return;
@@ -127,27 +129,27 @@
 
 /* Check system inode and verify it's marked "in use" in the bitmap:       */
 /* Should work for all system inodes: root, master, jindex, per_node, etc. */
-int check_system_inode(struct gfs2_inode *sysinode, const char *filename,
+static int check_system_inode(struct gfs2_inode *sysinode, const char *filename,
 		       int builder(struct gfs2_sbd *sbp),
 		       enum gfs2_mark_block mark)
 {
 	uint64_t iblock = 0;
 	struct dir_status ds = {0};
 
-	log_info("Checking system inode '%s'\n", filename);
+	log_info( _("Checking system inode '%s'\n"), filename);
 	if (sysinode) {
 		/* Read in the system inode, look at its dentries, and start
 		 * reading through them */
 		iblock = sysinode->i_di.di_num.no_addr;
-		log_info("System inode for '%s' is located at block %"
-			 PRIu64 " (0x%" PRIx64 ")\n", filename,
+		log_info( _("System inode for '%s' is located at block %"
+			 PRIu64 " (0x%" PRIx64 ")\n"), filename,
 			 iblock, iblock);
 		
 		/* FIXME: check this block's validity */
 
 		if(gfs2_block_check(sysinode->i_sbd, bl, iblock, &ds.q)) {
-			log_crit("Can't get %s inode block %" PRIu64 " (0x%"
-				 PRIx64 ") from block list\n", filename,
+			log_crit( _("Can't get %s inode block %" PRIu64 " (0x%"
+				 PRIx64 ") from block list\n"), filename,
 				 iblock, iblock);
 			return -1;
 		}
@@ -156,7 +158,7 @@
 		/* bitmap.  In that case, don't rebuild the inode.  */
 		/* Just reuse the inode and fix the bitmap.         */
 		if (ds.q.block_type == gfs2_block_free) {
-			log_info("The inode exists but the block is not marked 'in use'; fixing it.\n");
+			log_info( _("The inode exists but the block is not marked 'in use'; fixing it.\n"));
 			gfs2_block_set(sysinode->i_sbd, bl,
 				       sysinode->i_di.di_num.no_addr,
 				       mark);
@@ -167,16 +169,16 @@
 		}
 	}
 	else
-		log_info("System inode for '%s' is missing.\n", filename);
+		log_info( _("System inode for '%s' is missing.\n"), filename);
 	/* If there are errors with the inode here, we need to
 	 * create a new inode and get it all setup - of course,
 	 * everything will be in lost+found then, but we *need* our
 	 * system inodes before we can do any of that. */
 	if(!sysinode || ds.q.block_type != mark) {
-		log_err("Invalid or missing %s system inode.\n", filename);
+		log_err( _("Invalid or missing %s system inode.\n"), filename);
 		errors_found++;
 		if ((errors_corrected +=
-		    query(&opts, "Create new %s system inode? (y/n) ",
+		    query(&opts, _("Create new %s system inode? (y/n) "),
 			  filename))) {
 			builder(sysinode->i_sbd);
 			gfs2_block_set(sysinode->i_sbd, bl,
@@ -188,7 +190,7 @@
 						sysinode->i_di.di_num.no_addr);
 		}
 		else {
-			log_err("Cannot continue without valid %s inode\n",
+			log_err( _("Cannot continue without valid %s inode\n"),
 				filename);
 			return -1;
 		}
@@ -197,7 +199,7 @@
 	return 0;
 }
 
-int check_system_inodes(struct gfs2_sbd *sdp)
+static int check_system_inodes(struct gfs2_sbd *sdp)
 {
 	/*******************************************************************
 	 *******  Check the system inode integrity             *************
@@ -253,27 +255,30 @@
 	enum update_flags update_sys_files;
 	int error = 0;
 
+	setlocale(LC_ALL, "");
+	textdomain("fsck.gfs2");
+
 	memset(sbp, 0, sizeof(*sbp));
 
 	if((error = read_cmdline(argc, argv, &opts)))
 		exit(error);
 	setbuf(stdout, NULL);
-	log_notice("Initializing fsck\n");
+	log_notice( _("Initializing fsck\n"));
 	if ((error = initialize(sbp)))
 		exit(error);
 
 	signal(SIGINT, interrupt);
-	log_notice("Starting pass1\n");
+	log_notice( _("Starting pass1\n"));
 	pass = "pass 1";
 	last_reported_block = 0;
 	if ((error = pass1(sbp)))
 		exit(error);
 	if (skip_this_pass || fsck_abort) {
 		skip_this_pass = FALSE;
-		log_notice("Pass1 interrupted   \n");
+		log_notice( _("Pass1 interrupted   \n"));
 	}
 	else
-		log_notice("Pass1 complete      \n");
+		log_notice( _("Pass1 complete      \n"));
 
 	/* Make sure the system inodes are okay & represented in the bitmap. */
 	check_system_inodes(sbp);
@@ -281,81 +286,81 @@
 	if (!fsck_abort) {
 		last_reported_block = 0;
 		pass = "pass 1b";
-		log_notice("Starting pass1b\n");
+		log_notice( _("Starting pass1b\n"));
 		if((error = pass1b(sbp)))
 			exit(error);
 		if (skip_this_pass || fsck_abort) {
 			skip_this_pass = FALSE;
-			log_notice("Pass1b interrupted   \n");
+			log_notice( _("Pass1b interrupted   \n"));
 		}
 		else
-			log_notice("Pass1b complete\n");
+			log_notice( _("Pass1b complete\n"));
 	}
 	if (!fsck_abort) {
 		last_reported_block = 0;
 		pass = "pass 1c";
-		log_notice("Starting pass1c\n");
+		log_notice( _("Starting pass1c\n"));
 		if((error = pass1c(sbp)))
 			exit(error);
 		if (skip_this_pass || fsck_abort) {
 			skip_this_pass = FALSE;
-			log_notice("Pass1c interrupted   \n");
+			log_notice( _("Pass1c interrupted   \n"));
 		}
 		else
-			log_notice("Pass1c complete\n");
+			log_notice( _("Pass1c complete\n"));
 	}
 	if (!fsck_abort) {
 		last_reported_block = 0;
 		pass = "pass 2";
-		log_notice("Starting pass2\n");
+		log_notice( _("Starting pass2\n"));
 		if ((error = pass2(sbp)))
 			exit(error);
 		if (skip_this_pass || fsck_abort) {
 			skip_this_pass = FALSE;
-			log_notice("Pass2 interrupted   \n");
+			log_notice( _("Pass2 interrupted   \n"));
 		}
 		else
-			log_notice("Pass2 complete      \n");
+			log_notice( _("Pass2 complete      \n"));
 	}
 	if (!fsck_abort) {
 		last_reported_block = 0;
 		pass = "pass 3";
-		log_notice("Starting pass3\n");
+		log_notice( _("Starting pass3\n"));
 		if ((error = pass3(sbp)))
 			exit(error);
 		if (skip_this_pass || fsck_abort) {
 			skip_this_pass = FALSE;
-			log_notice("Pass3 interrupted   \n");
+			log_notice( _("Pass3 interrupted   \n"));
 		}
 		else
-			log_notice("Pass3 complete      \n");
+			log_notice( _("Pass3 complete      \n"));
 	}
 	if (!fsck_abort) {
 		last_reported_block = 0;
 		pass = "pass 4";
-		log_notice("Starting pass4\n");
+		log_notice( _("Starting pass4\n"));
 		if ((error = pass4(sbp)))
 			exit(error);
 		if (skip_this_pass || fsck_abort) {
 			skip_this_pass = FALSE;
-			log_notice("Pass4 interrupted   \n");
+			log_notice( _("Pass4 interrupted   \n"));
 		}
 		else
-			log_notice("Pass4 complete      \n");
+			log_notice( _("Pass4 complete      \n"));
 	}
 	if (!fsck_abort) {
 		last_reported_block = 0;
 		pass = "pass 5";
-		log_notice("Starting pass5\n");
+		log_notice( _("Starting pass5\n"));
 		if ((error = pass5(sbp)))
 			exit(error);
 		if (skip_this_pass || fsck_abort) {
 			skip_this_pass = FALSE;
-			log_notice("Pass5 interrupted   \n");
+			log_notice( _("Pass5 interrupted   \n"));
 			error = FSCK_CANCELED;
 		}
 		else
-			log_notice("Pass5 complete      \n");
+			log_notice( _("Pass5 complete      \n"));
 	} else {
 		error = FSCK_CANCELED;
 	}
@@ -375,11 +380,11 @@
 		inode_put(lf_dip, update_sys_files);
 
 	if (!opts.no)
-		log_notice("Writing changes to disk\n");
+		log_notice( _("Writing changes to disk\n"));
 	bsync(&sbp->buf_list);
 	bsync(&sbp->nvbuf_list);
 	destroy(sbp);
-	log_notice("gfs2_fsck complete    \n");
+	log_notice( _("gfs2_fsck complete    \n"));
 
 	if (!error) {
 		if (!errors_found)
